The OpenHatch blog is graciously powered by WordPress.
Entries (RSS) and Comments (RSS).

On come the spammers…

by Asheesh March 30th, 2010

It seems OpenHatch has become popular enough to attract spammers. A few weeks, we started asking projects to say how others can help out. We’ve had a really good response to those questions!

Recently we started noticing a few failed requests from users submitting answers. I thought the system worked, so I investigated.

All the failing requests were trying to submit an answer on the same project page, which tipped me off that something might be strange. I noticed that they mostly came from the same IP address, and then I looked at what web browsers these users were using.

One was supposedly using Microsoft Internet Explorer 2.0 on Windows 95. That made me smile! After I noticed that the “Referer” field set to an invalid value, I concluded these requests were probably coming from a bot.

For your enjoyment, I’ve placed a list of some of the spam bot’s best user agents after the fold.

If this is a real person, he or she sure has a whole lot of web browsers installed.

  • Mozilla/1.22 (compatible; MSIE 2.0d; Windows NT)
  • Mozilla/1.22 (compatible; MSIE 2.0; Windows 95)
  • Mozilla/2.0 (compatible; MSIE 3.02; Windows CE; 240×320)
  • Mozilla/3.0 (compatible; WebCapture 2.0; Auto; Windows)
  • Mozilla/3.0 (x86 [en] Windows NT 5.1; Sun)
  • Mozilla/4.0 (compatible; MSIE 4.01; Digital AlphaServer 1000A 4/233; Windows NT; Powered By 64-Bit Alpha Processor)
  • Mozilla/4.0 (compatible; MSIE 5.0; Windows 3.1)
  • Mozilla/4.0 (compatible; MSIE 5.5; Windows 95)
  • Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)
  • Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Crazy Browser 1.0.5)
  • Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Deepnet Explorer 1.5.0; .NET CLR 1.0.3705)
  • Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; en) Opera 9.0
  • Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1) Netscape/8.0.4
  • Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; Crazy Browser 2.0.0 Beta 1; .NET CLR 1.0.3705; .NET CLR 1.1.4322)
  • Mozilla/4.61 [en] (X11; U; ) – BrowseX (2.0.0 Windows)
  • Mozilla/4.79 [en] (Windows NT 5.0; U)
  • Mozilla/6.0 (compatible; MSIE 7.0a1; Windows NT 5.2; SV1)
  • Opera/7.54 (Windows NT 5.1; U) [pl]
  • Opera/9.00 (Windows NT 4.0; U; en)
  • Opera/9.00 (Windows NT 5.1; U; ru)
  • Opera/9.0 (Windows NT 5.1; U; en)

One of these user-agents is for Netscape 3, plain and simple. That brings back memories.

One comment

  1. Bongo says:

    The guy running the Alpha was me.

    >8E

Write a comment